Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.factories
Class FlowRefFactoryBean

    java.lang.Object
      org.mule.config.spring.factories.FlowRefFactoryBean

All Implemented Interfaces:
  org.springframework.beans.factory.FactoryBean<MessageProcessor>, org.springframework.context.ApplicationContextAware

    public class FlowRefFactoryBean

extends Object
implements org.springframework.beans.factory.FactoryBean<MessageProcessor>, org.springframework.context.ApplicationContextAware

Constructor Summary
`FlowRefFactoryBean()`

Method Summary
`MessageProcessor` | `getObject()`
`Class<?>` | `getObjectType()`
`boolean` | `isSingleton()`
`void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
`void` | `setName(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowRefFactoryBean

    public FlowRefFactoryBean()

Method Detail

### setName

    public void setName(String name)

### getObject

    public MessageProcessor getObject()
                               throws Exception

  Specified by:
    `getObject` in interface `org.springframework.beans.factory.FactoryBean<MessageProcessor>`
  Throws:
    `Exception`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<MessageProcessor>`

### getObjectType

    public Class<?> getObjectType()

  Specified by:
    `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<MessageProcessor>`

### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)
                               throws org.springframework.beans.BeansException

  Specified by:
    `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
  Throws:
    `org.springframework.beans.BeansException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.